
-- Create a proxy table to the Customer table.
-- This will be used by the consolidated database to reference the data
-- in the cons_proxy database.

CREATE EXISTING TABLE customer
(
	cust_id      	        integer NOT NULL DEFAULT autoincrement,
	first_name     		varchar(30) NOT NULL,
	last_name            	varchar(30) NOT NULL,
	last_modified  		timestamp NULL DEFAULT timestamp,
	PRIMARY KEY( cust_id )
) AT 'asa_proxy;;DBA;customer';

-- This will demonstrate calling a procedure in the proxy database
-- to perform an update (instead of issuing an UPDATE statement directly).
-- This uses the Remote Procedure Call (RPC) feature of ASA
--
CREATE PROCEDURE sp_rpc_Customer_update(
     IN first_name char(30)
    ,IN last_name char(30)
    ,IN last_modified char(30)
    ,IN cust_id integer
) AT 'asa_proxy;;DBA;sp_Customer_update';

