PARAMETERS pUID, pPROTOCOL, pMACHINE, pPORT;

/*
 * Parameters are very useful, since you can write a routine that 
 * will generate many remote databases without customizing
 * a file for each user.
 */

//Create the new synchronization objects
CREATE PUBLICATION "all_tables"
(
	TABLE customer
);

//you must create a user before creating a subscription
CREATE SYNCHRONIZATION USER "{pUID}";

CREATE SYNCHRONIZATION SUBSCRIPTION TO "all_tables"
		FOR "{pUID}"
		TYPE '{pPROTOCOL}'
		ADDRESS 'host={pMACHINE};port={pPORT}'
		OPTION memory='2m'
	     , ScriptVersion='v1.0'
	     , LockTables='off'
	     , SendDownloadACK='OFF'
	     , Verbose='on';

